<div>
    {{-- Top Nav --}}
    @include('livewire.about-us.top-nav.terms-and-privacy')

    @if (session()->has('success'))
    <div
        x-data="{ show: true }"
        x-init="setTimeout(() => show = false, 3000)"
        x-show="show"
        x-transition
        class="text-2xl text-green-700 px-4 py-2 rounded mb-4">
        ✅ {{ session('success') }}
    </div>
    @endif

    <livewire:components.table
        :columns="[
            ['label' => 'Title', 'field' => 'title'],
            ['label' => 'Details', 'field' => 'details'],
            ['label' => 'Type', 'field' => 'type']
        ]"
        :rows="$termsAndPrivacy"
        :hasActions="true"
        :isViewPage="false"
        :addRoute="route('terms-and-privacy-create')"
        :updateRoute="'/main/about-us/terms-and-privacy-update'"
        :viewRoute="'/main/about-us/terms-and-privacy-view'"
        :rowKey="'tp_uuid'" 
        :deleteEndpoint="'api/cms/TermsAndPrivacy'"
        :deleteAllEndpoint="'api/cms/TermsAndPrivacyBatchDelete'"
        />
</div>