<div class="min-h-screen flex flex-col items-center justify-between px-4">
    <div class="flex-grow flex items-center justify-center w-full">
        <div class="w-full max-w-md">
            <div class="text-center mb-8">
                <img src="{{ asset('assets/unioil(orange).png') }}" alt="Unioil Logo" class="mx-auto max-w mb-4">
                <h1 class="text-xl font-bold">Change Password</h1>
                <p class="text-gray-600 text-sm">Set your new password to continue</p>
            </div>

            <form wire:submit="submit" class="mb-8">
                @csrf

                <div class="mb-4">
                    <label for="new_password" class="block text-sm font-bold text-gray-700">New Password</label>
                    <input wire:model.live="newPassword" type="password" id="new_password" class="mt-1 block w-full px-4 py-2 border border-gray-300 rounded-md shadow-sm focus:ring-blue-500 focus:border-blue-500">
                    @error('newPassword') <span class="text-red-500 text-xs">{{ $message }}</span> @enderror
                </div>

                <div class="mb-4">
                    <label for="confirm_password" class="block text-sm font-bold text-gray-700">Confirm Password</label>
                    <input wire:model.live="confirmPassword" type="password" id="confirm_password" class="mt-1 block w-full px-4 py-2 border border-gray-300 rounded-md shadow-sm focus:ring-blue-500 focus:border-blue-500">
                    @error('confirmPassword') <span class="text-red-500 text-xs">{{ $message }}</span> @enderror
                </div>

                <button type="submit" class="w-full bg-orange-600 font-bold hover:bg-orange-400 text-white py-2 rounded-md">Update Password</button>
            </form>
        </div>
    </div>

    <div class="w-full max-w-md mb-4">
        <div class="border border-gray-200 mb-2"></div>
        <footer class="text-center text-xs text-gray-400">
            By updating your password, you agree to Unioil's Terms of Service, Privacy Policy, and Content Policies. | © 2025 Unioil.
        </footer>
    </div>
</div>
