<div>
    <!-- anchor tag horizontally -->
    <div class="flex items-center gap-2 text-xs text-gray-600">
        <!-- Home link -->
        <a href="/main/profile" class="flex items-center hover:text-orange-600">
            <x-heroicon-o-home class="w-3 h-3 mr-1" />
            <span class="leading-none">Home</span>
        </a>
        <x-heroicon-o-chevron-right class="w-3 h-3" />
        <a href="/main/user-management" class="hover:text-orange-600">
            User Management
        </a>
        <x-heroicon-o-chevron-right class="w-3 h-3" />
        <span>
            View User
        </span>
    </div>

    <!-- Page Title -->
    <h3 class="text-5xl font-semibold text-gray-800 mt-4">User Accounts</h3>

    <!-- Bottom border -->
    <div class="border-b border-gray-300 mt-5"></div>

    <div class="mt-10">


        <div class="p-6 mt-10 max-w-5xl mx-auto bg-white rounded-md shadow-md">
            <div>
                <h4 class="font-bold mb-5 text-2xl">User Details</h4>
                <p><span class="font-semibold">Username:</span> {{$username}}</p>
                <p><span class="font-semibold">User Role:</span> {{$role === 1 ? 'System Admin' : 'Marketing Personnel'}}</p>
                <p><span class="font-semibold">First Name:</span> {{$firstname}}</p>
                <p><span class="font-semibold">Last Name:</span> {{$lastname}}</p>
                <p>
                    <span class="font-semibold">Email:</span>
                    <a href="mailto:{{$email}}" class="text-blue-600 hover:underline">
                        {{$email}}
                    </a>
                </p>
            </div>

            <div>
                <h4 class="font-bold mt-10 mb-5 text-2xl">Account Details</h4>
                <p>
                    <span class="font-semibold">Status:</span> {{$status}}
                </p>
                <span class="font-semibold">Created By:</span> {{$created_by}}</p>
                <span class="font-semibold">Created Date:</span> {{$created_at}}</p>
                <span class="font-semibold">Last Updated By:</span> {{$updated_by}}</p>
                <span class="font-semibold">Last Update Date:</span> {{$updated_at}}</p>
            </div>
        </div>
    </div>
</div>